_, class = UnitClass("player")
if class == "MAGE" then

function MageCandy_CreateOptionsMenu()
local x, y, xoff, yoff = 0, 0, 15, -20
MageCandy = {}
MageCandy.panel = CreateFrame("Frame", "MCOptions", UIParent)
MageCandy.panel.name = "Mage Candy"
InterfaceOptions_AddCategory(MageCandy.panel)
MageCandy.panel.default = function()
MageCandy_Defaults()
if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end

MageCandy.panel.okay = function()
MageCandy_Apply()
end
MageCandy.panel.cancel = function()
MageCandy_Cancel()
end
MageCandy.panel.refresh = function()
MageCandy_Cancel()
end


MCapply = CreateFrame("Button", "MCApply", MageCandy.panel, "UIPanelButtonTemplate")
MCapply:SetHeight(20)
MCapply:SetWidth(70)
MCapply:SetText(MageCandyLocal["APPLY"])
MCapply:ClearAllPoints()
MCapply:SetPoint("CENTER", MageCandy.panel, "BOTTOMRIGHT", -50, 20)
MCapply:SetScript("OnClick", MageCandy_Apply)

MCshowframes = CreateFrame("Button", "MCShowFrames", MageCandy.panel, "GameMenuButtonTemplate")
MCshowframes:SetWidth(140)
MCshowframes:SetHeight(40)
MCshowframes:SetPoint("BOTTOM", MageCandy.panel, "BOTTOM", 0, 60)
MCshowframes:SetText(MageCandyLocal["SHOW_ALL_FRAMES"])
MCshowframes:SetScript("OnClick", MageCandy_ShowFrames)
----------------------------------------------------------------------
y = 0
y = y + yoff
MCLockFrames = CreateFrame("CheckButton", "MCLockFrames", MageCandy.panel, "ChatConfigCheckButtonTemplate")
MCLockFrames:SetPoint("TOPLEFT", 15, y)
MCLockFramesText:SetText("Lock Frames")
MCLockFrames:SetChecked(MageCandy_Options.lockframes)
------------------------------------------------------------------------


-- Polymorph Monitor --------------------------------------------------
MageCandy.pmonitor = CreateFrame("Frame", "MCPolymorphMonitorOptions", UIParent)
MageCandy.pmonitor.name = MageCandyLocal["POLYMORPH_MONITOR"]
MageCandy.pmonitor.parent = MageCandy.panel.name
InterfaceOptions_AddCategory(MageCandy.pmonitor)

MageCandy.pmonitor.default = function()
MageCandy_Defaults()
if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end
MageCandy.pmonitor.okay = function()
MageCandy_Apply()
end
MageCandy.pmonitor.cancel = function()
MageCandy_Cancel()
end
MageCandy.pmonitor.refresh = function()
MageCandy_Cancel()
end

MCpmonitorapply = CreateFrame("Button", "MCpmonitorApply", MageCandy.pmonitor, "UIPanelButtonTemplate")
MCpmonitorapply:SetHeight(20)
MCpmonitorapply:SetWidth(70)
MCpmonitorapply:SetText(MageCandyLocal["APPLY"])
MCpmonitorapply:ClearAllPoints()
MCpmonitorapply:SetPoint("CENTER", MageCandy.pmonitor, "BOTTOMRIGHT", -50, 20)
MCpmonitorapply:SetScript("OnClick", MageCandy_Apply)

------------------------------------------------------------------------
y = 0
y = y + yoff
MCEnablePolymorphMonitor = CreateFrame("CheckButton", "MCEnablePolymorphMonitor", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCEnablePolymorphMonitor:SetPoint("TOPLEFT", 15, y)
MCEnablePolymorphMonitorText:SetText(MageCandyLocal["ENABLE_POLYMORPH_MONITOR"])
MCEnablePolymorphMonitor:SetChecked(MageCandy_Options.enablepolymorphmonitor)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphMonitorShow = CreateFrame("CheckButton", "MCPolymorphMonitorShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphMonitorShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphMonitorShowText:SetText(MageCandyLocal["SHOW_POLYMORPH_TIMER"])
MCPolymorphMonitorShow:SetChecked(MageCandy_Options.show.mcpolymorphmonitor)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphApplyNotificationShow = CreateFrame("CheckButton", "MCPolymorphApplyNotificationShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphApplyNotificationShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphApplyNotificationShowText:SetText(MageCandyLocal["POLYMORPH_APPLY_SHOW"])
MCPolymorphApplyNotificationShow:SetChecked(MageCandy_Options.show.polymorphapplynotification)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphRemoveNotificationShow = CreateFrame("CheckButton", "MCPolymorphRemoveNotificationShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphRemoveNotificationShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphRemoveNotificationShowText:SetText(MageCandyLocal["POLYMORPH_REMOVE_SHOW"])
MCPolymorphRemoveNotificationShow:SetChecked(MageCandy_Options.show.polymorphremovenotification)
------------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCPolymorphMonitorScale", MageCandy.pmonitor)
MCPolymorphMonitorScale:SetPoint("TOPLEFT", 15, y)
MCPolymorphMonitorScale:SetWidth(600)
MCPolymorphMonitorScale:SetHeight(20)
MCPolymorphMonitorScale:SetOrientation("HORIZONTAL")
MCPolymorphMonitorScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCPolymorphMonitorScale:SetMinMaxValues(0.5,5)
MCPolymorphMonitorScale:SetValue(0)
MCPolymorphMonitorScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCPolymorphMonitorScale:SetScript("OnValueChanged", function (self, value) MCPolymorphMonitorScaleText:SetText(string.sub(value, 1, 4)) MCPolymorphMonitor:SetScale(value) end)
MageCandy.pmonitor:CreateFontString("MCPolymorphMonitorScaleHeader", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorScaleHeader:SetPoint("BOTTOMLEFT", MCPolymorphMonitorScale, "TOPLEFT")
MCPolymorphMonitorScaleHeader:SetText(MageCandyLocal["POLYMORPH_TIMER_SCALE"])
MageCandy.pmonitor:CreateFontString("MCPolymorphMonitorScaleText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorScaleText:SetPoint("BOTTOMRIGHT", MCPolymorphMonitorScale, "TOPRIGHT")
MCPolymorphMonitorScaleText:SetText(string.sub(MageCandy_Options.scale.mcpolymorphmonitor, 1, 4))
-----------------------------------------------------------------------


-- Spellsteal Monitor --------------------------------------------------
MageCandy.ssmonitor = CreateFrame("Frame", "MCSpellStealMonitorOptions", UIParent)
MageCandy.ssmonitor.name = MageCandyLocal["SPELLSTEAL_MONITOR"]
MageCandy.ssmonitor.parent = MageCandy.panel.name
InterfaceOptions_AddCategory(MageCandy.ssmonitor)

MageCandy.ssmonitor.default = function()
MageCandy_Defaults()
if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end
MageCandy.ssmonitor.okay = function()
MageCandy_Apply()
end
MageCandy.ssmonitor.cancel = function()
MageCandy_Cancel()
end
MageCandy.ssmonitor.refresh = function()
MageCandy_Cancel()
end

MCssmonitorapply = CreateFrame("Button", "MCssmonitorApply", MageCandy.ssmonitor, "UIPanelButtonTemplate")
MCssmonitorapply:SetHeight(20)
MCssmonitorapply:SetWidth(70)
MCssmonitorapply:SetText(MageCandyLocal["APPLY"])
MCssmonitorapply:ClearAllPoints()
MCssmonitorapply:SetPoint("CENTER", MageCandy.ssmonitor, "BOTTOMRIGHT", -50, 20)
MCssmonitorapply:SetScript("OnClick", MageCandy_Apply)

MCTestSSAnimation = CreateFrame("Button", "MCTestSSAnimation", MageCandy.ssmonitor, "UIPanelButtonTemplate")
MCTestSSAnimation:SetHeight(30)
MCTestSSAnimation:SetWidth(120)
MCTestSSAnimation:SetText(MageCandyLocal["PLAY_ANIMATION"])
MCTestSSAnimation:ClearAllPoints()
MCTestSSAnimation:SetPoint("CENTER", MageCandy.ssmonitor, "CENTER", 0, -150)
MCTestSSAnimation:SetScript("OnClick", function () MCSpellStealNotification:Show() end)

------------------------------------------------------------------------
y = 0
y = y + yoff
MCSpellStealMonitorBackgroundShow = CreateFrame("CheckButton", "MCSpellStealMonitorBackgroundShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMonitorBackgroundShow:SetPoint("TOP", 15, y)
MCSpellStealMonitorBackgroundShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_BACKGROUND_SHOW"])
MCSpellStealMonitorBackgroundShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorbackground)
------------------------------------------------------------------------
------------------------------------------------------------------------
y = y + yoff
MCSpellStealMonitorHeaderShow = CreateFrame("CheckButton", "MCSpellStealMonitorHeaderShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMonitorHeaderShow:SetPoint("TOP", 15, y)
MCSpellStealMonitorHeaderShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_HEADER_SHOW"])
MCSpellStealMonitorHeaderShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorheader)
------------------------------------------------------------------------
y = y + yoff
MCSpellStealMonitorFlipBuffs = CreateFrame("CheckButton", "MCSpellStealMonitorFlipBuffs", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMonitorFlipBuffs:SetPoint("TOP", 15, y)
MCSpellStealMonitorFlipBuffsText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_FLIP_BUFFS"])
MCSpellStealMonitorFlipBuffs:SetChecked(MageCandy_Options.flipbuffs)
------------------------------------------------------------------------
y = y + yoff
MCSpellStealMessageShow = CreateFrame("CheckButton", "MCSpellStealMessageShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMessageShow:SetPoint("TOP", 15, y)
MCSpellStealMessageShowText:SetText(MageCandyLocal["SPELLSTEAL_MESSAGE_SHOW"])
MCSpellStealMessageShow:SetChecked(MageCandy_Options.show.mcspellstealmessage)
------------------------------------------------------------------------

------------------------------------------------------------------------
y = 0
y = y + yoff
MCEnableSpellStealMonitor = CreateFrame("CheckButton", "MCEnableSpellStealMonitor", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCEnableSpellStealMonitor:SetPoint("TOPLEFT", 15, y)
MCEnableSpellStealMonitorText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_ENABLE"])
MCEnableSpellStealMonitor:SetChecked(MageCandy_Options.enablespellstealmonitor)
------------------------------------------------------------------------
y = y + yoff
MCSpellStealNotificationShow = CreateFrame("CheckButton", "MCSpellStealNotificationShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealNotificationShow:SetPoint("TOPLEFT", 15, y)
MCSpellStealNotificationShowText:SetText(MageCandyLocal["SPELLSTEAL_NOTIFICATION_SHOW"])
MCSpellStealNotificationShow:SetChecked(MageCandy_Options.show.mcspellstealnotification)
------------------------------------------------------------------------
y = y + yoff
MCTargetSpellStealFrameShow = CreateFrame("CheckButton", "MCTargetSpellStealFrameShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCTargetSpellStealFrameShow:SetPoint("TOPLEFT", 15, y)
MCTargetSpellStealFrameShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_SHOW_TARGET"])
MCTargetSpellStealFrameShow:SetChecked(MageCandy_Options.show.mctargetspellstealframe)
------------------------------------------------------------------------
y = y + yoff
MCFocusSpellStealFrameShow = CreateFrame("CheckButton", "MCFocusSpellStealFrameShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCFocusSpellStealFrameShow:SetPoint("TOPLEFT", 15, y)
MCFocusSpellStealFrameShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_SHOW_FOCUS"])
MCFocusSpellStealFrameShow:SetChecked(MageCandy_Options.show.mcfocusspellstealframe)
------------------------------------------------------------------------
y = y + yoff
MCStolenSpellsFrameShow = CreateFrame("CheckButton", "MCStolenSpellsFrameShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCStolenSpellsFrameShow:SetPoint("TOPLEFT", 15, y)
MCStolenSpellsFrameShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_SHOW_STOLEN"])
MCStolenSpellsFrameShow:SetChecked(MageCandy_Options.show.mcstolenspellsframe)
-----------------------------------------------------------------------
y = y + (yoff * 4)
CreateFrame("Slider","MCTargetSpellStealFrameScale", MageCandy.ssmonitor)
MCTargetSpellStealFrameScale:SetPoint("TOPLEFT", 15, y)
MCTargetSpellStealFrameScale:SetWidth(600)
MCTargetSpellStealFrameScale:SetHeight(20)
MCTargetSpellStealFrameScale:SetOrientation("HORIZONTAL")
MCTargetSpellStealFrameScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCTargetSpellStealFrameScale:SetMinMaxValues(0.5,5)
MCTargetSpellStealFrameScale:SetValue(0)
MCTargetSpellStealFrameScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCTargetSpellStealFrameScale:SetScript("OnValueChanged", function (self, value) MCTargetSpellStealFrameScaleText:SetText(string.sub(value, 1, 4)) MCTargetSpellStealFrame:SetScale(value) end)
MageCandy.ssmonitor:CreateFontString("MCTargetSpellStealFrameScaleHeader", "OVERLAY", "GameFontNormal")
MCTargetSpellStealFrameScaleHeader:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrameScale, "TOPLEFT")
MCTargetSpellStealFrameScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_TARGET_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCTargetSpellStealFrameScaleText", "OVERLAY", "GameFontNormal")
MCTargetSpellStealFrameScaleText:SetPoint("BOTTOMRIGHT", MCTargetSpellStealFrameScale, "TOPRIGHT")
MCTargetSpellStealFrameScaleText:SetText(string.sub(MageCandy_Options.scale.mctargetspellstealframe, 1, 4))
-----------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCFocusSpellStealFrameScale", MageCandy.ssmonitor)
MCFocusSpellStealFrameScale:SetPoint("TOPLEFT", 15, y)
MCFocusSpellStealFrameScale:SetWidth(600)
MCFocusSpellStealFrameScale:SetHeight(20)
MCFocusSpellStealFrameScale:SetOrientation("HORIZONTAL")
MCFocusSpellStealFrameScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFocusSpellStealFrameScale:SetMinMaxValues(0.5,5)
MCFocusSpellStealFrameScale:SetValue(0)
MCFocusSpellStealFrameScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFocusSpellStealFrameScale:SetScript("OnValueChanged", function (self, value) MCFocusSpellStealFrameScaleText:SetText(string.sub(value, 1, 4)) MCFocusSpellStealFrame:SetScale(value) end)
MageCandy.ssmonitor:CreateFontString("MCFocusSpellStealFrameScaleHeader", "OVERLAY", "GameFontNormal")
MCFocusSpellStealFrameScaleHeader:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrameScale, "TOPLEFT")
MCFocusSpellStealFrameScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_FOCUS_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCFocusSpellStealFrameScaleText", "OVERLAY", "GameFontNormal")
MCFocusSpellStealFrameScaleText:SetPoint("BOTTOMRIGHT", MCFocusSpellStealFrameScale, "TOPRIGHT")
MCFocusSpellStealFrameScaleText:SetText(string.sub(MageCandy_Options.scale.mcfocusspellstealframe, 1, 4))
-----------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCStolenSpellsFrameScale", MageCandy.ssmonitor)
MCStolenSpellsFrameScale:SetPoint("TOPLEFT", 15, y)
MCStolenSpellsFrameScale:SetWidth(600)
MCStolenSpellsFrameScale:SetHeight(20)
MCStolenSpellsFrameScale:SetOrientation("HORIZONTAL")
MCStolenSpellsFrameScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCStolenSpellsFrameScale:SetMinMaxValues(0.5,5)
MCStolenSpellsFrameScale:SetValue(0)
MCStolenSpellsFrameScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCStolenSpellsFrameScale:SetScript("OnValueChanged", function (self, value) MCStolenSpellsFrameScaleText:SetText(string.sub(value, 1, 4)) MCStolenSpellsFrame:SetScale(value) end)
MageCandy.ssmonitor:CreateFontString("MCStolenSpellsFrameScaleHeader", "OVERLAY", "GameFontNormal")
MCStolenSpellsFrameScaleHeader:SetPoint("BOTTOMLEFT", MCStolenSpellsFrameScale, "TOPLEFT")
MCStolenSpellsFrameScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_STOLEN_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCStolenSpellsFrameScaleText", "OVERLAY", "GameFontNormal")
MCStolenSpellsFrameScaleText:SetPoint("BOTTOMRIGHT", MCStolenSpellsFrameScale, "TOPRIGHT")
MCStolenSpellsFrameScaleText:SetText(string.sub(MageCandy_Options.scale.mcstolenspellsframe, 1, 4))
-----------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCSpellStealNotificationScale", MageCandy.ssmonitor)
MCSpellStealNotificationScale:SetPoint("TOPLEFT", 15, y)
MCSpellStealNotificationScale:SetWidth(600)
MCSpellStealNotificationScale:SetHeight(20)
MCSpellStealNotificationScale:SetOrientation("HORIZONTAL")
MCSpellStealNotificationScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCSpellStealNotificationScale:SetMinMaxValues(0.5,5)
MCSpellStealNotificationScale:SetValue(0)
MCSpellStealNotificationScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCSpellStealNotificationScale:SetScript("OnValueChanged", function (self, value) 
MCSpellStealNotificationScaleText:SetText(string.sub(value, 1, 4)) 
MCSpellStealNotification:SetWidth(32 * value)
MCSpellStealNotification:SetHeight(32 * value)
end)
MageCandy.ssmonitor:CreateFontString("MCSpellStealNotificationScaleHeader", "OVERLAY", "GameFontNormal")
MCSpellStealNotificationScaleHeader:SetPoint("BOTTOMLEFT", MCSpellStealNotificationScale, "TOPLEFT")
MCSpellStealNotificationScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_NOTIFICATION_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCSpellStealNotificationScaleText", "OVERLAY", "GameFontNormal")
MCSpellStealNotificationScaleText:SetPoint("BOTTOMRIGHT", MCSpellStealNotificationScale, "TOPRIGHT")
MCSpellStealNotificationScaleText:SetText(string.sub(MageCandy_Options.scale.mcspellstealnotification, 1, 4))
-------------------------------------------------------------------


--Timers---------------------------------------------------------------
MageCandy.timers = CreateFrame("Frame", "MCTimersOptions", UIParent)
MageCandy.timers.name = "Timers"
MageCandy.timers.parent = MageCandy.panel.name
InterfaceOptions_AddCategory(MageCandy.timers)

MageCandy.timers.default = function()
MageCandy_Defaults()
if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end
MageCandy.timers.okay = function()
MageCandy_Apply()
end
MageCandy.timers.cancel = function()
MageCandy_Cancel()
end
MageCandy.timers.refresh = function()
MageCandy_Cancel()
end

MCTimersScrollFrame = CreateFrame("ScrollFrame", "MCTimersScrollFrame", MageCandy.timers)
MCTimersScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MCTimersScrollFrame:SetPoint("BOTTOMRIGHT", -30, 40) 

MCTimersContent = CreateFrame("Frame", "MCTimersContent", MCTimersScrollFrame)
MCTimersContent:SetPoint("CENTER")
MCTimersContent:SetWidth(580)
MCTimersContent:SetHeight(2000)
MCTimersScrollFrame:SetScrollChild(MCTimersContent)

MCTimersScroll = CreateFrame("Slider", "MCTimersScroll", MCTimersScrollFrame, "UIPanelScrollBarTemplate")
MCTimersScroll:SetOrientation("VERTICAL")
MCTimersScroll:SetWidth(20)
MCTimersScroll:SetHeight(450)
MCTimersScroll:SetPoint("RIGHT", MageCandy.timers, "RIGHT", -5, 0)
MCTimersScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MCTimersScroll:SetValueStep(20)
MCTimersScroll:SetValue(0)
MCTimersContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MCTimersScroll:GetValue()
if delta > 0  then
MCTimersScroll:SetValue(scroll - MCTimersScroll:GetValueStep())
elseif delta < 0 then
MCTimersScroll:SetValue(scroll + MCTimersScroll:GetValueStep())
end
end)

MCTimersApply = CreateFrame("Button", "MCTimersApply", MageCandy.timers, "UIPanelButtonTemplate")
MCTimersApply:SetHeight(20)
MCTimersApply:SetWidth(70)
MCTimersApply:SetText("Apply")
MCTimersApply:ClearAllPoints()
MCTimersApply:SetPoint("CENTER", MageCandy.timers, "BOTTOMRIGHT", -50, 20)
MCTimersApply:SetScript("OnClick", MageCandy_Apply)
x = 50
y = 0
local spacey, scaley = 60, 45
y = y - 20
MCArcaneBlastTimerShow = CreateFrame("CheckButton", "MCArcaneChargeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcaneChargeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneChargeTimerShowText:SetText(MageCandyLocal["ARCANE_CHARGE_TIMER_SHOW"])
MCArcaneChargeTimerShow:SetChecked(MageCandy_Options.show.mcarcanechargetimer)
MCArcaneChargeTimerShowIcon = MCArcaneChargeTimerShow:CreateTexture("$parent_Icon")
MCArcaneChargeTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane01")
MCArcaneChargeTimerShowIcon:SetWidth(32)
MCArcaneChargeTimerShowIcon:SetHeight(32)
MCArcaneChargeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcaneChargeTimerScale = CreateFrame("Slider","MCArcaneChargeTimerScale", MCTimersContent)
MCArcaneChargeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneChargeTimerScale:SetWidth(300)
MCArcaneChargeTimerScale:SetHeight(20)
MCArcaneChargeTimerScale:SetOrientation("HORIZONTAL")
MCArcaneChargeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcaneChargeTimerScale:SetMinMaxValues(0.5,2)
MCArcaneChargeTimerScale:SetValue(MageCandy_Options.scale.mcarcanechargetimer)
MCArcaneChargeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcaneChargeTimerScale:SetScript("OnValueChanged", function (self, value) MCArcaneChargeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcaneChargeTimer:SetScale(value) end)
MCArcaneChargeTimerScaleHeader = MCTimersContent:CreateFontString("MCArcaneChargeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcaneChargeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcaneChargeTimerScale, "TOPLEFT")
MCArcaneChargeTimerScaleHeader:SetText(MageCandyLocal["ARCANE_CHARGE_TIMER_SCALE"])
MCArcaneChargeTimerScaleValue = MCTimersContent:CreateFontString("MCArcaneChargeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcaneChargeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcaneChargeTimerScale, "TOPRIGHT")
MCArcaneChargeTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcarcanechargetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCArcaneMissilesTimerShow = CreateFrame("CheckButton", "MCArcaneMissilesTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcaneMissilesTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneMissilesTimerShowText:SetText(MageCandyLocal["ARCANE_MISSILES_TIMER_SHOW"])
MCArcaneMissilesTimerShow:SetChecked(MageCandy_Options.show.mcarcanemissilestimer)
MCArcaneMissilesTimerShowIcon = MCArcaneMissilesTimerShow:CreateTexture("$parent_Icon")
MCArcaneMissilesTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Nature_StarFall")
MCArcaneMissilesTimerShowIcon:SetWidth(32)
MCArcaneMissilesTimerShowIcon:SetHeight(32)
MCArcaneMissilesTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcaneMissilesTimerScale = CreateFrame("Slider","MCArcaneMissilesTimerScale", MCTimersContent)
MCArcaneMissilesTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneMissilesTimerScale:SetWidth(300)
MCArcaneMissilesTimerScale:SetHeight(20)
MCArcaneMissilesTimerScale:SetOrientation("HORIZONTAL")
MCArcaneMissilesTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcaneMissilesTimerScale:SetMinMaxValues(0.5,2)
MCArcaneMissilesTimerScale:SetValue(MageCandy_Options.scale.mcarcanemissilestimer)
MCArcaneMissilesTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcaneMissilesTimerScale:SetScript("OnValueChanged", function (self, value) MCArcaneMissilesTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcaneMissilesTimer:SetScale(value) end)
MCArcaneMissilesTimerScaleHeader = MCTimersContent:CreateFontString("MCArcaneMissilesTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcaneMissilesTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcaneMissilesTimerScale, "TOPLEFT")
MCArcaneMissilesTimerScaleHeader:SetText(MageCandyLocal["ARCANE_MISSILES_TIMER_SCALE"])
MCArcaneMissilesTimerScaleValue = MCTimersContent:CreateFontString("MCArcaneMissilesTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcaneMissilesTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcaneMissilesTimerScale, "TOPRIGHT")
MCArcaneMissilesTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcarcanemissilestimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCArcanePowerTimerShow = CreateFrame("CheckButton", "MCArcanePowerTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcanePowerTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcanePowerTimerShowText:SetText(MageCandyLocal["ARCANE_POWER_TIMER_SHOW"])
MCArcanePowerTimerShow:SetChecked(MageCandy_Options.show.mcarcanepowertimer)
MCArcanePowerTimerShowIcon = MCArcanePowerTimerShow:CreateTexture("$parent_Icon")
MCArcanePowerTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Nature_Lightning")
MCArcanePowerTimerShowIcon:SetWidth(32)
MCArcanePowerTimerShowIcon:SetHeight(32)
MCArcanePowerTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcanePowerTimerScale = CreateFrame("Slider","MCArcanePowerTimerScale", MCTimersContent)
MCArcanePowerTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcanePowerTimerScale:SetWidth(300)
MCArcanePowerTimerScale:SetHeight(20)
MCArcanePowerTimerScale:SetOrientation("HORIZONTAL")
MCArcanePowerTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcanePowerTimerScale:SetMinMaxValues(0.5,2)
MCArcanePowerTimerScale:SetValue(MageCandy_Options.scale.mcarcanepowertimer)
MCArcanePowerTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcanePowerTimerScale:SetScript("OnValueChanged", function (self, value) MCArcanePowerTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcanePowerTimer:SetScale(value) end)
MCArcanePowerTimerScaleHeader = MCTimersContent:CreateFontString("MCArcanePowerTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcanePowerTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcanePowerTimerScale, "TOPLEFT")
MCArcanePowerTimerScaleHeader:SetText(MageCandyLocal["ARCANE_POWER_TIMER_SCALE"])
MCArcanePowerTimerScaleValue = MCTimersContent:CreateFontString("MCArcanePowerTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcanePowerTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcanePowerTimerScale, "TOPRIGHT")
MCArcanePowerTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcarcanepowertimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCBrainFreezeTimerShow = CreateFrame("CheckButton", "MCBrainFreezeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCBrainFreezeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCBrainFreezeTimerShowText:SetText(MageCandyLocal["BRAIN_FREEZE_TIMER_SHOW"])
MCBrainFreezeTimerShow:SetChecked(MageCandy_Options.show.mcbrainfreezetimer)
MCBrainFreezeTimerShowIcon = MCBrainFreezeTimerShow:CreateTexture("$parent_Icon")
MCBrainFreezeTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_BrainFreeze")
MCBrainFreezeTimerShowIcon:SetWidth(32)
MCBrainFreezeTimerShowIcon:SetHeight(32)
MCBrainFreezeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCBrainFreezeTimerScale = CreateFrame("Slider","MCBrainFreezeTimerScale", MCTimersContent)
MCBrainFreezeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCBrainFreezeTimerScale:SetWidth(300)
MCBrainFreezeTimerScale:SetHeight(20)
MCBrainFreezeTimerScale:SetOrientation("HORIZONTAL")
MCBrainFreezeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCBrainFreezeTimerScale:SetMinMaxValues(0.5,2)
MCBrainFreezeTimerScale:SetValue(MageCandy_Options.scale.mcbrainfreezetimer)
MCBrainFreezeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCBrainFreezeTimerScale:SetScript("OnValueChanged", function (self, value) MCBrainFreezeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCBrainFreezeTimer:SetScale(value) end)
MCBrainFreezeTimerScaleHeader = MCTimersContent:CreateFontString("MCBrainFreezeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCBrainFreezeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCBrainFreezeTimerScale, "TOPLEFT")
MCBrainFreezeTimerScaleHeader:SetText(MageCandyLocal["BRAIN_FREEZE_TIMER_SCALE"])
MCBrainFreezeTimerScaleValue = MCTimersContent:CreateFontString("MCBrainFreezeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCBrainFreezeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCBrainFreezeTimerScale, "TOPRIGHT")
MCBrainFreezeTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcbrainfreezetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCIcyVeinsTimerShow = CreateFrame("CheckButton", "MCIcyVeinsTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCIcyVeinsTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIcyVeinsTimerShowText:SetText(MageCandyLocal["ICY_VEINS_TIMER_SHOW"])
MCIcyVeinsTimerShow:SetChecked(MageCandy_Options.show.mcicyveinstimer)
MCIcyVeinsTimerShowIcon = MCIcyVeinsTimerShow:CreateTexture("$parent_Icon")
MCIcyVeinsTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Frost_ColdHearted")
MCIcyVeinsTimerShowIcon:SetWidth(32)
MCIcyVeinsTimerShowIcon:SetHeight(32)
MCIcyVeinsTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCIcyVeinsTimerScale = CreateFrame("Slider","MCIcyVeinsTimerScale", MCTimersContent)
MCIcyVeinsTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIcyVeinsTimerScale:SetWidth(300)
MCIcyVeinsTimerScale:SetHeight(20)
MCIcyVeinsTimerScale:SetOrientation("HORIZONTAL")
MCIcyVeinsTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCIcyVeinsTimerScale:SetMinMaxValues(0.5,2)
MCIcyVeinsTimerScale:SetValue(MageCandy_Options.scale.mcicyveinstimer)
MCIcyVeinsTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCIcyVeinsTimerScale:SetScript("OnValueChanged", function (self, value) MCIcyVeinsTimerScaleValue:SetText(string.sub(value, 1, 4)) MCIcyVeinsTimer:SetScale(value) end)
MCIcyVeinsTimerScaleHeader = MCTimersContent:CreateFontString("MCIcyVeinsTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCIcyVeinsTimerScaleHeader:SetPoint("BOTTOMLEFT", MCIcyVeinsTimerScale, "TOPLEFT")
MCIcyVeinsTimerScaleHeader:SetText(MageCandyLocal["ICY_VEINS_TIMER_SCALE"])
MCIcyVeinsTimerScaleValue = MCTimersContent:CreateFontString("MCIcyVeinsTimerScaleValue", "OVERLAY", "GameFontNormal")
MCIcyVeinsTimerScaleValue:SetPoint("BOTTOMRIGHT", MCIcyVeinsTimerScale, "TOPRIGHT")
MCIcyVeinsTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcicyveinstimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCMirrorImageTimerShow = CreateFrame("CheckButton", "MCMirrorImageTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCMirrorImageTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCMirrorImageTimerShowText:SetText(MageCandyLocal["MIRROR_IMAGE_TIMER_SHOW"])
MCMirrorImageTimerShow:SetChecked(MageCandy_Options.show.mcmirrorimagetimer)
MCMirrorImageTimerShowIcon = MCMirrorImageTimerShow:CreateTexture("$parent_Icon")
MCMirrorImageTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
MCMirrorImageTimerShowIcon:SetWidth(32)
MCMirrorImageTimerShowIcon:SetHeight(32)
MCMirrorImageTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCMirrorImageTimerScale = CreateFrame("Slider","MCMirrorImageTimerScale", MCTimersContent)
MCMirrorImageTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCMirrorImageTimerScale:SetWidth(300)
MCMirrorImageTimerScale:SetHeight(20)
MCMirrorImageTimerScale:SetOrientation("HORIZONTAL")
MCMirrorImageTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCMirrorImageTimerScale:SetMinMaxValues(0.5,2)
MCMirrorImageTimerScale:SetValue(MageCandy_Options.scale.mcmirrorimagetimer)
MCMirrorImageTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCMirrorImageTimerScale:SetScript("OnValueChanged", function (self, value) MCMirrorImageTimerScaleValue:SetText(string.sub(value, 1, 4)) MCMirrorImageTimer:SetScale(value) end)
MCMirrorImageTimerScaleHeader = MCTimersContent:CreateFontString("MCMirrorImageTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCMirrorImageTimerScaleHeader:SetPoint("BOTTOMLEFT", MCMirrorImageTimerScale, "TOPLEFT")
MCMirrorImageTimerScaleHeader:SetText(MageCandyLocal["MIRROR_IMAGE_TIMER_SCALE"])
MCMirrorImageTimerScaleValue = MCTimersContent:CreateFontString("MCMirrorImageTimerScaleValue", "OVERLAY", "GameFontNormal")
MCMirrorImageTimerScaleValue:SetPoint("BOTTOMRIGHT", MCMirrorImageTimerScale, "TOPRIGHT")
MCMirrorImageTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcmirrorimagetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCPyroblastTimerShow = CreateFrame("CheckButton", "MCPyroblastTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCPyroblastTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCPyroblastTimerShowText:SetText(MageCandyLocal["PYROBLAST_TIMER_SHOW"])
MCPyroblastTimerShow:SetChecked(MageCandy_Options.show.mcpyroblasttimer)
MCPyroblastTimerShowIcon = MCPyroblastTimerShow:CreateTexture("$parent_Icon")
MCPyroblastTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_Hotstreak")
MCPyroblastTimerShowIcon:SetWidth(32)
MCPyroblastTimerShowIcon:SetHeight(32)
MCPyroblastTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCPyroblastTimerScale = CreateFrame("Slider","MCPyroblastTimerScale", MCTimersContent)
MCPyroblastTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCPyroblastTimerScale:SetWidth(300)
MCPyroblastTimerScale:SetHeight(20)
MCPyroblastTimerScale:SetOrientation("HORIZONTAL")
MCPyroblastTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCPyroblastTimerScale:SetMinMaxValues(0.5,2)
MCPyroblastTimerScale:SetValue(MageCandy_Options.scale.mcpyroblasttimer)
MCPyroblastTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCPyroblastTimerScale:SetScript("OnValueChanged", function (self, value) MCPyroblastTimerScaleValue:SetText(string.sub(value, 1, 4)) MCPyroblastTimer:SetScale(value) end)
MCPyroblastTimerScaleHeader = MCTimersContent:CreateFontString("MCPyroblastTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCPyroblastTimerScaleHeader:SetPoint("BOTTOMLEFT", MCPyroblastTimerScale, "TOPLEFT")
MCPyroblastTimerScaleHeader:SetText(MageCandyLocal["PYROBLAST_TIMER_SCALE"])
MCPyroblastTimerScaleValue = MCTimersContent:CreateFontString("MCPyroblastTimerScaleValue", "OVERLAY", "GameFontNormal")
MCPyroblastTimerScaleValue:SetPoint("BOTTOMRIGHT", MCPyroblastTimerScale, "TOPRIGHT")
MCPyroblastTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcpyroblasttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCRingOfFrostTimerShow = CreateFrame("CheckButton", "MCRingOfFrostTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCRingOfFrostTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRingOfFrostTimerShowText:SetText(MageCandyLocal["RING_OF_FROST_TIMER_SHOW"])
MCRingOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcringoffrosttimer)
MCRingOfFrostTimerShowIcon = MCRingOfFrostTimerShow:CreateTexture("$parent_Icon")
MCRingOfFrostTimerShowIcon:SetTexture("INTERFACE\\ICONS\\spell_frost_ring of frost")
MCRingOfFrostTimerShowIcon:SetWidth(32)
MCRingOfFrostTimerShowIcon:SetHeight(32)
MCRingOfFrostTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCRingOfFrostTimerScale = CreateFrame("Slider","MCRingOfFrostTimerScale", MCTimersContent)
MCRingOfFrostTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRingOfFrostTimerScale:SetWidth(300)
MCRingOfFrostTimerScale:SetHeight(20)
MCRingOfFrostTimerScale:SetOrientation("HORIZONTAL")
MCRingOfFrostTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCRingOfFrostTimerScale:SetMinMaxValues(0.5,2)
MCRingOfFrostTimerScale:SetValue(MageCandy_Options.scale.mcringoffrosttimer)
MCRingOfFrostTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCRingOfFrostTimerScale:SetScript("OnValueChanged", function (self, value) MCRingOfFrostTimerScaleValue:SetText(string.sub(value, 1, 4)) MCRingOfFrostTimer:SetScale(value) end)
MCRingOfFrostTimerScaleHeader = MCTimersContent:CreateFontString("MCRingOfFrostTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCRingOfFrostTimerScaleHeader:SetPoint("BOTTOMLEFT", MCRingOfFrostTimerScale, "TOPLEFT")
MCRingOfFrostTimerScaleHeader:SetText(MageCandyLocal["RING_OF_FROST_TIMER_SCALE"])
MCRingOfFrostTimerScaleValue = MCTimersContent:CreateFontString("MCRingOfFrostTimerScaleValue", "OVERLAY", "GameFontNormal")
MCRingOfFrostTimerScaleValue:SetPoint("BOTTOMRIGHT", MCRingOfFrostTimerScale, "TOPRIGHT")
MCRingOfFrostTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcringoffrosttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCFingersOfFrostTimerShow = CreateFrame("CheckButton", "MCFingersOfFrostTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCFingersOfFrostTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFingersOfFrostTimerShowText:SetText(MageCandyLocal["FINGERS_OF_FROST_TIMER_SHOW"])
MCFingersOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcfingersoffrosttimer)
MCFingersOfFrostTimerShowIcon = MCFingersOfFrostTimerShow:CreateTexture("$parent_Icon")
MCFingersOfFrostTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_WintersGrasp")
MCFingersOfFrostTimerShowIcon:SetWidth(32)
MCFingersOfFrostTimerShowIcon:SetHeight(32)
MCFingersOfFrostTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCFingersOfFrostTimerScale = CreateFrame("Slider","MCFingersOfFrostTimerScale", MCTimersContent)
MCFingersOfFrostTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFingersOfFrostTimerScale:SetWidth(300)
MCFingersOfFrostTimerScale:SetHeight(20)
MCFingersOfFrostTimerScale:SetOrientation("HORIZONTAL")
MCFingersOfFrostTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFingersOfFrostTimerScale:SetMinMaxValues(0.5,2)
MCFingersOfFrostTimerScale:SetValue(MageCandy_Options.scale.mcfingersoffrosttimer)
MCFingersOfFrostTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFingersOfFrostTimerScale:SetScript("OnValueChanged", function (self, value) MCFingersOfFrostTimerScaleValue:SetText(string.sub(value, 1, 4)) MCFingersOfFrostTimer:SetScale(value) end)
MCFingersOfFrostTimerScaleHeader = MCTimersContent:CreateFontString("MCFingersOfFrostTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCFingersOfFrostTimerScaleHeader:SetPoint("BOTTOMLEFT", MCFingersOfFrostTimerScale, "TOPLEFT")
MCFingersOfFrostTimerScaleHeader:SetText(MageCandyLocal["FINGERS_OF_FROST_TIMER_SCALE"])
MCFingersOfFrostTimerScaleValue = MCTimersContent:CreateFontString("MCFingersOfFrostTimerScaleValue", "OVERLAY", "GameFontNormal")
MCFingersOfFrostTimerScaleValue:SetPoint("BOTTOMRIGHT", MCFingersOfFrostTimerScale, "TOPRIGHT")
MCFingersOfFrostTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcfingersoffrosttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCFrozenOrbTimerShow = CreateFrame("CheckButton", "MCFrozenOrbTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCFrozenOrbTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFrozenOrbTimerShowText:SetText(MageCandyLocal["FROZEN_ORB_TIMER_SHOW"])
MCFrozenOrbTimerShow:SetChecked(MageCandy_Options.show.mcfrozenorbtimer)
MCFrozenOrbTimerShowIcon = MCFrozenOrbTimerShow:CreateTexture("$parent_Icon")
MCFrozenOrbTimerShowIcon:SetTexture("Interface\\Icons\\spell_frost_frozenorb")
MCFrozenOrbTimerShowIcon:SetWidth(32)
MCFrozenOrbTimerShowIcon:SetHeight(32)
MCFrozenOrbTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCFrozenOrbTimerScale = CreateFrame("Slider","MCFrozenOrbTimerScale", MCTimersContent)
MCFrozenOrbTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFrozenOrbTimerScale:SetWidth(300)
MCFrozenOrbTimerScale:SetHeight(20)
MCFrozenOrbTimerScale:SetOrientation("HORIZONTAL")
MCFrozenOrbTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFrozenOrbTimerScale:SetMinMaxValues(0.5,2)
MCFrozenOrbTimerScale:SetValue(MageCandy_Options.scale.mcfrozenorbtimer)
MCFrozenOrbTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFrozenOrbTimerScale:SetScript("OnValueChanged", function (self, value) MCFrozenOrbTimerScaleValue:SetText(string.sub(value, 1, 4)) MCFrozenOrbTimer:SetScale(value) end)
MCFrozenOrbTimerScaleHeader = MCTimersContent:CreateFontString("MCFrozenOrbTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCFrozenOrbTimerScaleHeader:SetPoint("BOTTOMLEFT", MCFrozenOrbTimerScale, "TOPLEFT")
MCFrozenOrbTimerScaleHeader:SetText(MageCandyLocal["FROZEN_ORB_TIMER_SCALE"])
MCFrozenOrbTimerScaleValue = MCTimersContent:CreateFontString("MCFrozenOrbTimerScaleValue", "OVERLAY", "GameFontNormal")
MCFrozenOrbTimerScaleValue:SetPoint("BOTTOMRIGHT", MCFrozenOrbTimerScale, "TOPRIGHT")
MCFrozenOrbTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcfrozenorbtimer, 1, 4))
--------------------------------------------------------------------------------
MCTimersScroll:SetMinMaxValues(0, (spacey/60)*40 + 600)



SLASH_MAGECANDY1 = "/mc"
SLASH_MAGECANDY2 = "/magecandy"
SlashCmdList["MAGECANDY"] = function()
InterfaceOptionsFrame_OpenToCategory(MageCandy.panel)
InterfaceOptionsFrame_OpenToCategory(MageCandy.panel)
end
end


function MageCandy_Cancel()
MCSpellStealMonitorFlipBuffs:SetChecked(MageCandy_Options.flipbuffs)
MCEnableSpellStealMonitor:SetChecked(MageCandy_Options.enablespellstealmonitor)
MCLockFrames:SetChecked(MageCandy_Options.lockframes)
MCTargetSpellStealFrameScale:SetValue(MageCandy_Options.scale.mctargetspellstealframe)
MCFocusSpellStealFrameScale:SetValue(MageCandy_Options.scale.mcfocusspellstealframe)
MCStolenSpellsFrameScale:SetValue(MageCandy_Options.scale.mcstolenspellsframe)
MCSpellStealNotificationScale:SetValue(MageCandy_Options.scale.mcspellstealnotification)
MCSpellStealMessageShow:SetChecked(MageCandy_Options.show.mcspellstealmessage)
MCSpellStealMonitorBackgroundShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorbackground)
MCSpellStealMonitorHeaderShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorheader)
MCTargetSpellStealFrameShow:SetChecked(MageCandy_Options.show.mctargetspellstealframe)
MCFocusSpellStealFrameShow:SetChecked(MageCandy_Options.show.mcfocusspellstealframe)
MCStolenSpellsFrameShow:SetChecked(MageCandy_Options.show.mcstolenspellsframe)
MCSpellStealNotificationShow:SetChecked(MageCandy_Options.show.mcspellstealnotification)
MCPolymorphMonitorScale:SetValue(MageCandy_Options.scale.mcpolymorphmonitor)
MCPolymorphMonitorShow:SetChecked(MageCandy_Options.show.mcpolymorphmonitor)
MCPolymorphApplyNotificationShow:SetChecked(MageCandy_Options.show.polymorphapplynotification)
MCPolymorphRemoveNotificationShow:SetChecked(MageCandy_Options.show.polymorphremovenotification)
MCEnablePolymorphMonitor:SetChecked(MageCandy_Options.enablepolymorphmonitor)
MCArcaneChargeTimerScale:SetValue(MageCandy_Options.scale.mcarcanechargetimer)
MCArcaneChargeTimerShow:SetChecked(MageCandy_Options.show.mcarcanechargetimer)
MCArcaneMissilesTimerScale:SetValue(MageCandy_Options.scale.mcarcanemissilestimer)
MCArcaneMissilesTimerShow:SetChecked(MageCandy_Options.show.mcarcanemissilestimer)
MCArcanePowerTimerScale:SetValue(MageCandy_Options.scale.mcarcanepowertimer)
MCArcanePowerTimerShow:SetChecked(MageCandy_Options.show.mcarcanepowertimer)
MCBrainFreezeTimerScale:SetValue(MageCandy_Options.scale.mcbrainfreezetimer)
MCBrainFreezeTimerShow:SetChecked(MageCandy_Options.show.mcbrainfreezetimer)
MCFingersOfFrostTimerScale:SetValue(MageCandy_Options.scale.mcfingersoffrosttimer)
MCFingersOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcfingersoffrosttimer)
MCIcyVeinsTimerScale:SetValue(MageCandy_Options.scale.mcicyveinstimer)
MCIcyVeinsTimerShow:SetChecked(MageCandy_Options.show.mcicyveinstimer)
MCFrozenOrbTimerScale:SetValue(MageCandy_Options.scale.mcfrozenorbtimer)
MCFrozenOrbTimerShow:SetChecked(MageCandy_Options.show.mcfrozenorbtimer)
MCRingOfFrostTimerScale:SetValue(MageCandy_Options.scale.mcringoffrosttimer)
MCRingOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcringoffrosttimer)
MCPyroblastTimerScale:SetValue(MageCandy_Options.scale.mcpyroblasttimer)
MCPyroblastTimerShow:SetChecked(MageCandy_Options.show.mcpyroblasttimer)
MCMirrorImageTimerScale:SetValue(MageCandy_Options.scale.mcmirrorimagetimer)
MCMirrorImageTimerShow:SetChecked(MageCandy_Options.show.mcmirrorimagetimer)

if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end

function MageCandy_Apply()
if MageCandy_Options.flipbuffs ~= MageCandy_Convert(MCSpellStealMonitorFlipBuffs:GetChecked()) then
MageCandy_Options.flipbuffs = MageCandy_Convert(MCSpellStealMonitorFlipBuffs:GetChecked())
MageCandy_RepositionBuffs()
else
MageCandy_Options.flipbuffs = MageCandy_Convert(MCSpellStealMonitorFlipBuffs:GetChecked())
end
MageCandy_Options.enablespellstealmonitor = MageCandy_Convert(MCEnableSpellStealMonitor:GetChecked())
MageCandy_Options.lockframes = MageCandy_Convert(MCLockFrames:GetChecked())
MageCandy_Options.scale.mctargetspellstealframe = MCTargetSpellStealFrameScale:GetValue()
MageCandy_Options.scale.mcfocusspellstealframe = MCFocusSpellStealFrameScale:GetValue()
MageCandy_Options.scale.mcstolenspellsframe = MCStolenSpellsFrameScale:GetValue()
MageCandy_Options.scale.mcspellstealnotification = MCSpellStealNotificationScale:GetValue()
MageCandy_Options.show.mcspellstealmessage = MageCandy_Convert(MCSpellStealMessageShow:GetChecked())
MageCandy_Options.show.mcspellstealmonitorbackground = MageCandy_Convert(MCSpellStealMonitorBackgroundShow:GetChecked())
MageCandy_Options.show.mcspellstealmonitorheader = MageCandy_Convert(MCSpellStealMonitorHeaderShow:GetChecked())
MageCandy_Options.show.mctargetspellstealframe = MageCandy_Convert(MCTargetSpellStealFrameShow:GetChecked())
MageCandy_Options.show.mcfocusspellstealframe = MageCandy_Convert(MCFocusSpellStealFrameShow:GetChecked())
MageCandy_Options.show.mcstolenspellsframe = MageCandy_Convert(MCStolenSpellsFrameShow:GetChecked())
MageCandy_Options.show.mcspellstealnotification = MageCandy_Convert(MCSpellStealNotificationShow:GetChecked())
MageCandy_Options.scale.mcpolymorphmonitor = MCPolymorphMonitorScale:GetValue()
MageCandy_Options.show.mcpolymorphmonitor = MageCandy_Convert(MCPolymorphMonitorShow:GetChecked())
MageCandy_Options.show.polymorphapplynotification = MageCandy_Convert(MCPolymorphApplyNotificationShow:GetChecked())
MageCandy_Options.show.polymorphremovenotification = MageCandy_Convert(MCPolymorphRemoveNotificationShow:GetChecked())
MageCandy_Options.enablepolymorphmonitor = MageCandy_Convert(MCEnablePolymorphMonitor:GetChecked())
MageCandy_Options.scale.mcarcanechargetimer = MCArcaneChargeTimerScale:GetValue()
MageCandy_Options.show.mcarcanechargetimer = MageCandy_Convert(MCArcaneChargeTimerShow:GetChecked())
MageCandy_Options.scale.mcarcanemissilestimer = MCArcaneMissilesTimerScale:GetValue()
MageCandy_Options.show.mcarcanemissilestimer = MageCandy_Convert(MCArcaneMissilesTimerShow:GetChecked())
MageCandy_Options.scale.mcarcanepowertimer = MCArcanePowerTimerScale:GetValue()
MageCandy_Options.show.mcarcanepowertimer = MageCandy_Convert(MCArcanePowerTimerShow:GetChecked())
MageCandy_Options.scale.mcbrainfreezetimer = MCBrainFreezeTimerScale:GetValue()
MageCandy_Options.show.mcbrainfreezetimer = MageCandy_Convert(MCBrainFreezeTimerShow:GetChecked())
MageCandy_Options.scale.mcfingersoffrosttimer = MCFingersOfFrostTimerScale:GetValue()
MageCandy_Options.show.mcfingersoffrosttimer = MageCandy_Convert(MCFingersOfFrostTimerShow:GetChecked())
MageCandy_Options.scale.mcicyveinstimer = MCIcyVeinsTimerScale:GetValue()
MageCandy_Options.show.mcicyveinstimer = MageCandy_Convert(MCIcyVeinsTimerShow:GetChecked())
MageCandy_Options.scale.mcfrozenorbtimer = MCFrozenOrbTimerScale:GetValue()
MageCandy_Options.show.mcfrozenorbtimer = MageCandy_Convert(MCFrozenOrbTimerShow:GetChecked())
MageCandy_Options.scale.mcringoffrosttimer = MCRingOfFrostTimerScale:GetValue()
MageCandy_Options.show.mcringoffrosttimer = MageCandy_Convert(MCRingOfFrostTimerShow:GetChecked())
MageCandy_Options.scale.mcpyroblasttimer = MCPyroblastTimerScale:GetValue()
MageCandy_Options.show.mcpyroblasttimer = MageCandy_Convert(MCPyroblastTimerShow:GetChecked())
MageCandy_Options.scale.mcmirrorimagetimer = MCMirrorImageTimerScale:GetValue()
MageCandy_Options.show.mcmirrorimagetimer = MageCandy_Convert(MCMirrorImageTimerShow:GetChecked())

if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end

-- turns the nil value(unchecked box) into a number for storing in options table for later use
function MageCandy_Convert(arg)
if arg == nil then
return 0
else 
return arg
end
end

function MageCandy_Defaults()
MageCandy_Options = {
lockframes = 1,
enablespellstealmonitor = 1,
flipbuffs = 1,
enablepolymorphmonitor = 1,

scale = {
mctargetspellstealframe = 1,
mcfocusspellstealframe = 1,
mcstolenspellsframe = 1,
mcspellstealnotification = 1,
mcpolymorphmonitor = 1,
mcfingersoffrosttimer = 1,
mcbrainfreezetimer = 1,
mcfrozenorbtimer = 1,
mcicyveinstimer = 1,
mcarcanechargetimer = 1,
mcarcanemissilestimer = 1,
mcarcanepowertimer = 1,
mcpyroblasttimer = 1,
mcringoffrosttimer = 1,
mcmirrorimagetimer = 1,

},

show = {
mctargetspellstealframe = 1,
mcfocusspellstealframe = 1,
mcstolenspellsframe = 1,
mcspellstealmessage = 1,
mcspellstealnotification = 1,
mcspellstealmonitorbackground = 1,
mcspellstealmonitorheader = 1,
mcpolymorphmonitor = 1,
polymorphapplynotification = 0,
polymorphremovenotification = 1,
mcfingersoffrosttimer = 1,
mcbrainfreezetimer = 1,
mcfrozenorbtimer = 1,
mcicyveinstimer = 1,
mcarcanechargetimer = 1,
mcarcanemissilestimer = 1,
mcarcanepowertimer = 1,
mcpyroblasttimer = 1,
mcringoffrosttimer = 1,
mcmirrorimagetimer = 1,

},
}
end

function MageCandy_Check()
if not MageCandy_Options then
MageCandy_Defaults()
end

if not MageCandy_Options.show.mcfingersoffrosttimer then
MageCandy_Options.show.mcfingersoffrosttimer = 1
end
if not MageCandy_Options.show.mcbrainfreezetimer then
MageCandy_Options.show.mcbrainfreezetimer = 1
end
if not MageCandy_Options.show.mcfrozenorbtimer then
MageCandy_Options.show.mcfrozenorbtimer = 1
end
if not MageCandy_Options.show.mcicyveinstimer then
MageCandy_Options.show.mcicyveinstimer = 1
end
if not MageCandy_Options.show.mcarcanechargetimer then
MageCandy_Options.show.mcarcanechargetimer = 1
end
if not MageCandy_Options.show.mcarcanemissilestimer then
MageCandy_Options.show.mcarcanemissilestimer = 1
end
if not MageCandy_Options.show.mcarcanepowertimer then 
MageCandy_Options.show.mcarcanepowertimer = 1
end
if not MageCandy_Options.show.mcpyroblasttimer then
MageCandy_Options.show.mcpyroblasttimer = 1
end
if not MageCandy_Options.show.mcringoffrosttimer then
MageCandy_Options.show.mcringoffrosttimer = 1
end
if not MageCandy_Options.show.mcmirrorimagetimer then
MageCandy_Options.show.mcmirrorimagetimer = 1
end

if not MageCandy_Options.scale.mcfingersoffrosttimer then
MageCandy_Options.scale.mcfingersoffrosttimer = 1
end
if not MageCandy_Options.scale.mcbrainfreezetimer then
MageCandy_Options.scale.mcbrainfreezetimer = 1
end
if not MageCandy_Options.scale.mcfrozenorbtimer then
MageCandy_Options.scale.mcfrozenorbtimer = 1
end
if not MageCandy_Options.scale.mcicyveinstimer then
MageCandy_Options.scale.mcicyveinstimer = 1
end
if not MageCandy_Options.scale.mcarcanechargetimer then
MageCandy_Options.scale.mcarcanechargetimer = 1
end
if not MageCandy_Options.scale.mcarcanemissilestimer then
MageCandy_Options.scale.mcarcanemissilestimer = 1
end
if not MageCandy_Options.scale.mcarcanepowertimer then 
MageCandy_Options.scale.mcarcanepowertimer = 1
end
if not MageCandy_Options.scale.mcpyroblasttimer then
MageCandy_Options.scale.mcpyroblasttimer = 1
end
if not MageCandy_Options.scale.mcringoffrosttimer then
MageCandy_Options.scale.mcringoffrosttimer = 1
end
if not MageCandy_Options.scale.mcmirrorimagetimer then
MageCandy_Options.scale.mcmirrorimagetimer = 1
end


end



end
