_, class = UnitClass("player")
if class == "MAGE" then

MCTimers = {}

MCmirrorimage, MCfrozenorb, MCringoffrost = nil, nil, nil

MCSpellID = {
["MCBrainFreezeTimer"] = 57761,
["MCFingersOfFrostTimer"] = 44544,
["MCHeatingUpTimer"] = 48107,
["MCPyroblastTimer"] = 48108,
["MCArcanePowerTimer"] = 12042,
["MCArcaneChargeTimer"] = 36032, -- considered a debuff
["MCArcaneMissilesTimer"] = 79683,
["MCIcyVeinsTimer"] = 12472,
["MCFrozenOrbTimer"] = 84714,
["MCMirrorImageTimer"] = 55342,
["MCRingOfFrostTimer"] = 113724,
["MCInvokersEnergyTimer"] = 116257,

}


function MageCandy_ColorTimerBar(bar, value)

if value <= 5 then
if value <= 5 and value > 4.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 4.5 and value > 4 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 4 and value > 3.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 3.5 and value > 3 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 3 and value > 2.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 2.5 and value > 2 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 2 and value > 1.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 1.5 and value > 1 then
bar:SetStatusBarColor(0, 0.7, 1)
end
if value <= 1 and value > 0.5 then
bar:SetStatusBarColor(1, 0, 0)
end
if value <= 0.5 and value > 0 then
bar:SetStatusBarColor(0, 0.7, 1)
end
else
bar:SetStatusBarColor(0, 0.7, 1)
end

end


function MageCandy_NewTime(frame, timerduration, bypass)

if #MCTimers ~= nil and #MCTimers ~= 0 then
for idx = 1, #MCTimers do
if MCTimers[idx].frame == frame then
MCTimers[idx].timer = timerduration
MCTimers[idx].exists = true
return
end
end
else
table.insert(MCTimers, {frame = frame, timer = timerduration, exists = true})
if bypass then MCTimers[#MCTimers].bypass = true end
return
end
table.insert(MCTimers, {frame = frame, timer = timerduration, exists = true})
if bypass then MCTimers[#MCTimers].bypass = true end
end

function MageCandy_TimerHandler()
local name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, timerduration, spellid
if #MCTimers ~= 0 and #MCTimers ~= nil then
for idx = 1, #MCTimers do
MCTimers[idx].exists = false
end
end

for idx = 1, 40 do
name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, _ , spellid = UnitBuff("player", idx)

if name == nil then
break
end
if count ~= nil and count ~= 0 then
if count == 1 then count = "" end
else
count = ""
end

timerduration = expirationtime - GetTime()

if MCTimerList[spellid] then

if spellid == MCSpellID["MCArcaneMissilesTimer"] then
if MageCandy_Options.show.mcarcanemissilestimer == 1 then
MageCandy_NewTime("MCArcaneMissilesTimer", timerduration)
MCArcaneMissilesTimerBar:SetMinMaxValues(0, duration)
MCArcaneMissilesTimerCount:SetText(count)
end
elseif spellid == MCSpellID["MCFingersOfFrostTimer"] then
if MageCandy_Options.show.mcfingersoffrosttimer == 1 then
MageCandy_NewTime("MCFingersOfFrostTimer", timerduration)
MCFingersOfFrostTimerBar:SetMinMaxValues(0, duration)
MCFingersOfFrostTimerCount:SetText(count)
end
elseif spellid == MCSpellID["MCBrainFreezeTimer"] then
if MageCandy_Options.show.mcbrainfreezetimer == 1 then
MageCandy_NewTime("MCBrainFreezeTimer", timerduration)
MCBrainFreezeTimerBar:SetMinMaxValues(0, duration)
end
elseif spellid == MCSpellID["MCPyroblastTimer"] then
if MageCandy_Options.show.mcpyroblasttimer == 1 then
MCPyroblastTimerBar:SetMinMaxValues(0, duration)
MageCandy_NewTime("MCPyroblastTimer", timerduration)
end
elseif spellid == MCSpellID["MCArcanePowerTimer"] then
if MageCandy_Options.show.mcarcanepowertimer == 1 then
MCArcanePowerTimerBar:SetMinMaxValues(0, duration)
MageCandy_NewTime("MCArcanePowerTimer", timerduration)
end
elseif spellid == MCSpellID["MCIcyVeinsTimer"] then
if MageCandy_Options.show.mcicyveinstimer == 1 then
MCIcyVeinsTimerBar:SetMinMaxValues(0, duration)
MageCandy_NewTime("MCIcyVeinsTimer", timerduration)
end
elseif spellid == MCSpellID["MCInvokersEnergyTimer"] then
end

end



end

name, rank, icon, count, debufftype, duration, expirationtime, caster, stealable, _ , spellid = UnitDebuff("player", "arcane charge")

if count ~= nil and count ~= 0 then
if count == 1 then count = "" end
else
count = ""
end
if expirationtime == nil then 
return 
end
timerduration = expirationtime - GetTime()
if spellid == MCSpellID["MCArcaneChargeTimer"] then
if MageCandy_Options.show.mcarcanechargetimer == 1 then
MageCandy_NewTime("MCArcaneChargeTimer", timerduration)
MCArcaneChargeTimerBar:SetMinMaxValues(0, duration)
MCArcaneChargeTimerCount:SetText(count)
end
end
end


function MageCandy_UpdateTimers(elapsed)
local idx, num

if #MCTimers ~= nil and #MCTimers ~= 0 then
idx = 1 
num = #MCTimers
while idx <= num do
MCTimers[idx].timer = MCTimers[idx].timer - elapsed
if MCTimers[idx].bypass then MCTimers[idx].exists = true end
if MCTimers[idx].exists == false then MCTimers[idx].timer = 0 end
if MCTimers[idx].timer > 0 then
_G[MCTimers[idx].frame]:Show()
_G[MCTimers[idx].frame.."BarText"]:SetText(string.sub(MCTimers[idx].timer, 1, 4))
_G[MCTimers[idx].frame.."Bar"]:SetValue(MCTimers[idx].timer)
MageCandy_ColorTimerBar(_G[MCTimers[idx].frame.."Bar"], MCTimers[idx].timer)
else
_G[MCTimers[idx].frame]:Hide()
table.remove(MCTimers, idx)
idx = idx - 1
num = #MCTimers
end
idx = idx + 1
end
end

end


end

