_, class = UnitClass("player")
if class == "MAGE" then

function MageCandy_CreateUI()
local backdrop = {edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12}

-- Spellsteal Monitor -------------------------------------------------------------------

CreateFrame("Frame", "MCSpellStealNotification", UIParent)
MCSpellStealNotification:SetWidth(32)
MCSpellStealNotification:SetHeight(32)
MCSpellStealNotification:SetPoint("CENTER", UIParent, "CENTER")
MCSpellStealNotification:CreateTexture("MCSpellStealIcon")
MCSpellStealIcon:SetAllPoints()
MCSpellStealIcon:SetTexture(GetSpellTexture(12042))
MCSpellStealNotification:Hide()

CreateFrame("Frame", "MCTargetSpellStealFrame", UIParent)
MCTargetSpellStealFrame:SetPoint("CENTER", UIParent, "CENTER", -250, 0)
MCTargetSpellStealFrame:SetHeight(56)
MCTargetSpellStealFrame:SetWidth(152)
CreateFrame("Frame", "MCTargetSpellStealFrameBackground", MCTargetSpellStealFrame)
MCTargetSpellStealFrameBackground:SetAllPoints()
MCTargetSpellStealFrameBackground:SetPoint("CENTER")
MCTargetSpellStealFrameBackground:CreateTexture("MCTargetSpellStealFrameBG", "BACKGROUND")
MCTargetSpellStealFrameBackground:SetFrameLevel(1)
MCTargetSpellStealFrameBG:SetWidth(MCTargetSpellStealFrame:GetWidth() - 5)
MCTargetSpellStealFrameBG:SetHeight(MCTargetSpellStealFrame:GetHeight() - 5)
MCTargetSpellStealFrameBG:SetPoint("CENTER")
MCTargetSpellStealFrameBG:SetTexture(0,0,0,.5)
MCTargetSpellStealFrameBackground:SetBackdrop(backdrop)
MCTargetSpellStealFrame:Hide()
MCTargetSpellStealFrame:CreateFontString("MCTargetSpellStealFrameHeader", "OVERLAY", "GameFontNormal")
MCTargetSpellStealFrameHeader:SetText("Spellsteal Target")
MCTargetSpellStealFrameHeader:SetPoint("BOTTOM", MCTargetSpellStealFrame, "TOP", 0, 1)
MCTargetSpellStealFrameHeader:SetTextColor(0,1,1)


CreateFrame("Frame", "MCFocusSpellStealFrame", UIParent)
MCFocusSpellStealFrame:SetPoint("CENTER", UIParent, "CENTER", 250, 0)
MCFocusSpellStealFrame:SetHeight(56)
MCFocusSpellStealFrame:SetWidth(152)
CreateFrame("Frame", "MCFocusSpellStealFrameBackground", MCFocusSpellStealFrame)
MCFocusSpellStealFrameBackground:SetAllPoints()
MCFocusSpellStealFrameBackground:SetPoint("CENTER")
MCFocusSpellStealFrameBackground:CreateTexture("MCFocusSpellStealFrameBG", "BACKGROUND")
MCFocusSpellStealFrameBackground:SetFrameLevel(1)
MCFocusSpellStealFrameBG:SetWidth(MCFocusSpellStealFrame:GetWidth() - 5)
MCFocusSpellStealFrameBG:SetHeight(MCFocusSpellStealFrame:GetHeight() - 5)
MCFocusSpellStealFrameBG:SetPoint("CENTER")
MCFocusSpellStealFrameBG:SetTexture(0,0,0,.5)
MCFocusSpellStealFrame:Hide()
MCFocusSpellStealFrameBackground:SetBackdrop(backdrop)
MCFocusSpellStealFrame:CreateFontString("MCFocusSpellStealFrameHeader", "OVERLAY", "GameFontNormal")
MCFocusSpellStealFrameHeader:SetText("Spellsteal Focus")
MCFocusSpellStealFrameHeader:SetPoint("BOTTOM", MCFocusSpellStealFrame, "TOP", 0, 1)
MCFocusSpellStealFrameHeader:SetTextColor(0,1,1)

CreateFrame("Frame", "MCStolenSpellsFrame", UIParent)
MCStolenSpellsFrame:SetPoint("CENTER", UIParent, "CENTER", 0, -150)
MCStolenSpellsFrame:SetHeight(56)
MCStolenSpellsFrame:SetWidth(152)
CreateFrame("Frame", "MCStolenSpellsFrameBackground", MCStolenSpellsFrame)
MCStolenSpellsFrameBackground:SetAllPoints()
MCStolenSpellsFrameBackground:SetPoint("CENTER")
MCStolenSpellsFrameBackground:CreateTexture("MCStolenSpellsFrameBG", "BACKGROUND")
MCStolenSpellsFrameBackground:SetFrameLevel(1)
MCStolenSpellsFrameBG:SetWidth(MCStolenSpellsFrame:GetWidth() - 5)
MCStolenSpellsFrameBG:SetHeight(MCStolenSpellsFrame:GetHeight() - 5)
MCStolenSpellsFrameBG:SetPoint("CENTER")
MCStolenSpellsFrameBG:SetTexture(0,0,0,.5)
MCStolenSpellsFrame:Hide()
MCStolenSpellsFrameBackground:SetBackdrop(backdrop)
MCStolenSpellsFrame:CreateFontString("MCStolenSpellsFrameHeader", "OVERLAY", "GameFontNormal")
MCStolenSpellsFrameHeader:SetText("Stolen Spells")
MCStolenSpellsFrameHeader:SetPoint("BOTTOM", MCStolenSpellsFrame, "TOP", 0, 1)
MCStolenSpellsFrameHeader:SetTextColor(0,1,1)
--------------------------------------------------------------

--Create Polymorph Monitor------------------------------------
CreateFrame("Frame", "MCPolymorphMonitor", UIParent)
MCPolymorphMonitor:SetPoint("CENTER", UIParent, "CENTER", 0, -80)
MCPolymorphMonitor:SetWidth(125)
MCPolymorphMonitor:SetHeight(32)
MCPolymorphMonitor:CreateTexture("MCPolymorphMonitorIcon")
MCPolymorphMonitorIcon:SetWidth(28)
MCPolymorphMonitorIcon:SetHeight(28)
MCPolymorphMonitorIcon:SetPoint("LEFT", MCPolymorphMonitor, "LEFT", 1, 0)
MCPolymorphMonitorIcon:SetTexture(GetSpellTexture(118))
MCPolymorphMonitor:CreateFontString("MCPolymorphMonitorText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorText:SetWidth(MCPolymorphMonitor:GetWidth() - MCPolymorphMonitorIcon:GetWidth() - 5)
MCPolymorphMonitorText:SetHeight(7)
MCPolymorphMonitorText:SetJustifyH("LEFT")
MCPolymorphMonitorText:SetPoint("TOPLEFT", MCPolymorphMonitorIcon, "TOPRIGHT", 3, -3)
MCPolymorphMonitorText:SetTextHeight(9)
MCPolymorphMonitor:CreateTexture("MCPolymorphMonitorBG", "BACKGROUND")
MCPolymorphMonitorBG:SetAllPoints()
MCPolymorphMonitorBG:SetTexture(0, 0, 0, 0.8)
CreateFrame("StatusBar", "MCPolymorphMonitorBar", MCPolymorphMonitor)
MCPolymorphMonitorBar:SetWidth(MCPolymorphMonitorBG:GetWidth() - MCPolymorphMonitorIcon:GetWidth() - 1)
MCPolymorphMonitorBar:SetHeight(10)
MCPolymorphMonitorBar:SetPoint("BOTTOMLEFT", MCPolymorphMonitorIcon, "BOTTOMRIGHT", 0, 1)
MCPolymorphMonitorBar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
MCPolymorphMonitorBar:SetStatusBarColor(0, 0.7, 1)
MCPolymorphMonitorBar:CreateFontString("MCPolymorphMonitorBarText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorBarText:SetPoint("CENTER", MCPolymorphMonitorBar, "CENTER")
MCPolymorphMonitorBarText:SetTextColor(1, 1, 1)
MCPolymorphMonitorBarText:SetTextHeight(11)
MCPolymorphMonitor:Hide()

----------------------------------------------------------------------------------------------------

-- Timers ------------------------------------------------------------------------------------------

MageCandy_CreateTimer("MCPyroblastTimer", "CENTER", UIParent, "CENTER", -200, 135)
MCPyroblastTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_Hotstreak")
MCPyroblastTimerText:SetText(MageCandyLocal["PYROBLAST"])

MageCandy_CreateTimer("MCArcaneMissilesTimer", "CENTER", UIParent, "CENTER", -200, 100)
MCArcaneMissilesTimerIcon:SetTexture("Interface\\Icons\\Spell_Nature_StarFall")
MCArcaneMissilesTimerText:SetText(MageCandyLocal["ARCANE_MISSILES"])
MCArcaneMissilesTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCArcaneMissilesTimerCount:SetTextColor(1, 1, 1)
MCArcaneMissilesTimerCount:SetTextHeight(16)
MCArcaneMissilesTimerCount:SetPoint("BOTTOMRIGHT", MCArcaneMissilesTimerIcon, "BOTTOMRIGHT")

MageCandy_CreateTimer("MCFingersOfFrostTimer", "CENTER", UIParent, "CENTER", -200, 65)
MCFingersOfFrostTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_WintersGrasp")
MCFingersOfFrostTimerText:SetText(MageCandyLocal["FINGERS_OF_FROST"])
MCFingersOfFrostTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCFingersOfFrostTimerCount:SetTextColor(1, 1, 1)
MCFingersOfFrostTimerCount:SetTextHeight(16)
MCFingersOfFrostTimerCount:SetPoint("BOTTOMRIGHT", MCFingersOfFrostTimerIcon, "BOTTOMRIGHT")

MageCandy_CreateTimer("MCBrainFreezeTimer", "CENTER", UIParent, "CENTER", -200, 30)
MCBrainFreezeTimerIcon:SetTexture("Interface\\Icons\\Ability_Mage_BrainFreeze")
MCBrainFreezeTimerText:SetText(MageCandyLocal["BRAIN_FREEZE"])

MageCandy_CreateTimer("MCIcyVeinsTimer", "CENTER", UIParent, "CENTER", -200, -5)
MCIcyVeinsTimerIcon:SetTexture("Interface\\Icons\\Spell_Frost_ColdHearted")
MCIcyVeinsTimerText:SetText(MageCandyLocal["ICY_VEINS"])

MageCandy_CreateTimer("MCArcanePowerTimer", "CENTER", UIParent, "CENTER", -200, -40)
MCArcanePowerTimerIcon:SetTexture("Interface\\Icons\\Spell_Nature_Lightning")
MCArcanePowerTimerText:SetText(MageCandyLocal["ARCANE_POWER"])



MageCandy_CreateSmallTimer("MCFrozenOrbTimer", "CENTER", UIParent, "CENTER", -200, -75)
MCFrozenOrbTimerIcon:SetTexture("Interface\\Icons\\spell_frost_frozenorb")

MageCandy_CreateSmallTimer("MCMirrorImageTimer", "CENTER", UIParent, "CENTER", -200, -110)
MCMirrorImageTimerIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")

MageCandy_CreateSmallTimer("MCRingOfFrostTimer", "CENTER", UIParent, "CENTER", -200, -145)
MCRingOfFrostTimerIcon:SetTexture("INTERFACE\\ICONS\\spell_frost_ring of frost")

MageCandy_CreateTimer("MCArcaneChargeTimer", "CENTER", UIParent, "CENTER", -200, -180)
MCArcaneChargeTimerIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane01")
MCArcaneChargeTimerText:SetText(MageCandyLocal["ARCANE_CHARGE"])
MCArcaneChargeTimer:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
MCArcaneChargeTimerCount:SetTextColor(1, 1, 1)
MCArcaneChargeTimerCount:SetTextHeight(16)
MCArcaneChargeTimerCount:SetPoint("BOTTOMRIGHT", MCArcaneChargeTimerIcon, "BOTTOMRIGHT")

----------------------------------------------------------------------------------------------------



CreateFrame("Frame", "MCTimer", UIParent)
MCTimer:SetScript("OnUpdate", MageCandy_MCTimerOnUpdate)


-- Finish Setting Up Frames --
MCSpellStealNotification:EnableMouse(false)
MageCandy_SetupFrame(MCTargetSpellStealFrame)
MageCandy_SetupFrame(MCFocusSpellStealFrame)
MageCandy_SetupFrame(MCStolenSpellsFrame)
MageCandy_SetupFrame(MCPolymorphMonitor)
end


function MageCandy_CreateSmallTimer(name, point, rframe, rpoint, xoff, yoff)

local frame, icon, bar, bartext
frame = CreateFrame("Frame", name, UIParent)
frame:SetWidth(20)
frame:SetHeight(20)
frame:SetPoint(point, rframe, rpoint, xoff, yoff)
icon = frame:CreateTexture(name.."Icon")
icon:SetAllPoints()
bar = CreateFrame("StatusBar", name.."Bar", frame)
bar:SetWidth(90)
bar:SetHeight(10)
bar:SetPoint("BOTTOMLEFT", frame, "BOTTOMRIGHT")
bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
bar:SetStatusBarColor(0, 0.7, 1)
bartext = bar:CreateFontString(name.."BarText", "OVERLAY", "GameFontNormal")
bartext:SetPoint("CENTER", bar, "CENTER", 2, 0)
bartext:SetTextColor(1, 1, 1)
bartext:SetTextHeight(11)
MageCandy_SetupFrame(frame)
frame:Hide()

end

function MageCandy_CreateTimer(name, point, rframe, rpoint, xoff, yoff)
local frame, icon, text, bg, bar, bartext
frame = CreateFrame("Frame", name, UIParent)
frame:SetHeight(31.5)
frame:SetWidth(126)
frame:SetPoint(point, rframe, rpoint, xoff, yoff)
icon = frame:CreateTexture("$parentIcon")
icon:SetWidth(28)
icon:SetHeight(28)
icon:SetPoint("LEFT", frame, "LEFT", 1.5, 0)
text = frame:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
text:SetWidth(frame:GetWidth() - icon:GetWidth() - 6)
text:SetHeight(7)
text:SetJustifyH("LEFT")
text:SetPoint("TOPLEFT", icon, "TOPRIGHT", 3, -3)
text:SetTextHeight(10)
bg = frame:CreateTexture("$parentBG", "BACKGROUND")
bg:SetAllPoints()
bg:SetTexture(0, 0, 0, 0.8)
bar = CreateFrame("StatusBar", "$parentBar", frame)
bar:SetWidth(bg:GetWidth() - icon:GetWidth() - 2)
bar:SetHeight(10)
bar:SetPoint("BOTTOMLEFT", icon, "BOTTOMRIGHT", 0, 1)
bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
bar:SetStatusBarColor(0, 0.7, 1)
bartext = bar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
bartext:SetPoint("CENTER", bar, "CENTER")
bartext:SetTextColor(1, 1, 1)
bartext:SetTextHeight(11)
MageCandy_SetupFrame(frame)
frame:Hide()

end


-- Just Saves Me Some Typing =) --
function MageCandy_SetupFrame(frame)
frame:SetFrameStrata("MEDIUM")
frame:SetToplevel()
frame:SetScript("OnDragStart", frame.StartMoving)
frame:SetScript("OnDragStop", frame.StopMovingOrSizing)
frame:RegisterForDrag("LeftButton")
frame:EnableMouse(true)
frame:SetMovable(true)
end

function MageCandy_LockFrames()
MCFocusSpellStealFrame:StopMovingOrSizing()
MCFocusSpellStealFrame:EnableMouse(false)
MCTargetSpellStealFrame:StopMovingOrSizing()
MCTargetSpellStealFrame:EnableMouse(false)
MCStolenSpellsFrame:StopMovingOrSizing()
MCStolenSpellsFrame:EnableMouse(false)
MCPolymorphMonitor:StopMovingOrSizing()
MCPolymorphMonitor:EnableMouse(false)
MCFingersOfFrostTimer:StopMovingOrSizing()
MCFingersOfFrostTimer:EnableMouse(false)
MCBrainFreezeTimer:StopMovingOrSizing()
MCBrainFreezeTimer:EnableMouse(false)
MCFrozenOrbTimer:StopMovingOrSizing()
MCFrozenOrbTimer:EnableMouse(false)
MCRingOfFrostTimer:StopMovingOrSizing()
MCRingOfFrostTimer:EnableMouse(false)
MCArcaneChargeTimer:StopMovingOrSizing()
MCArcaneChargeTimer:EnableMouse(false)
MCArcaneMissilesTimer:StopMovingOrSizing()
MCArcaneMissilesTimer:EnableMouse(false)
MCPyroblastTimer:StopMovingOrSizing()
MCPyroblastTimer:EnableMouse(false)
MCArcanePowerTimer:StopMovingOrSizing()
MCArcanePowerTimer:EnableMouse(false)
MCIcyVeinsTimer:StopMovingOrSizing()
MCIcyVeinsTimer:EnableMouse(false)
MCMirrorImageTimer:StopMovingOrSizing()
MCMirrorImageTimer:EnableMouse(false)
end

function MageCandy_UnlockFrames(bypass)
local value

if bypass then
value = true
elseif MageCandy_Options.lockframes == 0 then
value = true
elseif MageCandy_Options.lockframes == 1 then
value = false
end

MCFocusSpellStealFrame:EnableMouse(value)
MCTargetSpellStealFrame:EnableMouse(value)
MCStolenSpellsFrame:EnableMouse(value)
MCPolymorphMonitor:EnableMouse(value)
MCFingersOfFrostTimer:EnableMouse(value)
MCBrainFreezeTimer:EnableMouse(value)
MCFrozenOrbTimer:EnableMouse(value)
MCRingOfFrostTimer:EnableMouse(value)
MCArcaneChargeTimer:EnableMouse(value)
MCArcaneMissilesTimer:EnableMouse(value)
MCPyroblastTimer:EnableMouse(value)
MCArcanePowerTimer:EnableMouse(value)
MCIcyVeinsTimer:EnableMouse(value)
MCMirrorImageTimer:EnableMouse(value)
end

function MageCandy_HideFrames()
MCStolenSpellsFrame:Hide()
MCTargetSpellStealFrame:Hide()
MCFocusSpellStealFrame:Hide()
end

function MageCandy_Show(frame, value)
if value == 1 then
frame:Show()
else
frame:Hide()
end
end

function MageCandy_ShowFrames()
MCtimerbypass = 30
MCpolydelay, MCpolyduration, MCnewpolyguid, MCpolyguid, MCpolyname, MCpolyapplied, MCpolybroken = 0, 0, nil, nil, nil, false, false
MCpolyculprit, MCpolyspell, MCpolyculpritspell, MCpolyremove, MCpolybrokenevent = nil, nil, nil, false, nil
MCTargetSpellStealFrame:Show()
MCFocusSpellStealFrame:Show()
MCStolenSpellsFrame:Show()
MCPolymorphMonitor:Show()
MCPolymorphMonitorBar:SetMinMaxValues(0, 30)
MCPolymorphMonitorText:SetText("Polymorph Timer")
MageCandy_UnlockFrames(true)
MageCandy_NewTime("MCArcaneMissilesTimer", 30, true)
MCArcaneMissilesTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCArcaneChargeTimer", 30, true)
MCArcaneChargeTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCArcanePowerTimer", 30, true)
MCArcanePowerTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCFingersOfFrostTimer", 30, true)
MCFingersOfFrostTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCBrainFreezeTimer", 30, true)
MCBrainFreezeTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCIcyVeinsTimer", 30, true)
MCIcyVeinsTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCRingOfFrostTimer", 30, true)
MCRingOfFrostTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCFrozenOrbTimer", 30, true)
MCFrozenOrbTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCPyroblastTimer", 30, true)
MCPyroblastTimerBar:SetMinMaxValues(0, 30)
MageCandy_NewTime("MCMirrorImageTimer", 30, true)
MCMirrorImageTimerBar:SetMinMaxValues(0, 30)
end

function MageCandy_RepositionBuffs()
local frame
---------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCTargetSpellStealFrameBuff"..idx] then
frame = _G["MCTargetSpellStealFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Options.flipbuffs == 1 then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCTargetSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCTargetSpellStealFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCTargetSpellStealFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCTargetSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end
------------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCFocusSpellStealFrameBuff"..idx] then
frame = _G["MCFocusSpellStealFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Options.flipbuffs == 1 then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCFocusSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCFocusSpellStealFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCFocusSpellStealFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCFocusSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end
-------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCStolenSpellsFrameBuff"..idx] then
frame = _G["MCStolenSpellsFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Options.flipbuffs == 1 then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCStolenSpellsFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCStolenSpellsFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCStolenSpellsFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCStolenSpellsFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCStolenSpellsFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCStolenSpellsFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end

end

function MageCandy_UpdateUI()

if MageCandy_Options.lockframes == 1 then
MageCandy_LockFrames()
else
MageCandy_UnlockFrames()
end

-- hide manually because events wont fire for these frames if they are hidden, which makes less work for the computer.

if MageCandy_Options.enablepolymorphmonitor == 0 then
MCPolymorphMonitor:Hide()
end

if MageCandy_Options.enablespellstealmonitor == 0 then
MCTargetSpellStealFrame:Hide()
MCFocusSpellStealFrame:Hide()
MCStolenSpellsFrame:Hide()
else
if MageCandy_Options.show.mctargetspellstealframe == 0 then
MCTargetSpellStealFrame:Hide()
end
if MageCandy_Options.show.mcfocusspellstealframe == 0 then
MCFocusSpellStealFrame:Hide()
end
if MageCandy_Options.show.mcstolenspellsframe == 0 then
MCStolenSpellsFrame:Hide()
end
end

MageCandy_Show(MCFocusSpellStealFrameBackground, MageCandy_Options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCTargetSpellStealFrameBackground, MageCandy_Options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCStolenSpellsFrameBackground, MageCandy_Options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCFocusSpellStealFrameHeader, MageCandy_Options.show.mcspellstealmonitorheader)
MageCandy_Show(MCTargetSpellStealFrameHeader, MageCandy_Options.show.mcspellstealmonitorheader)
MageCandy_Show(MCStolenSpellsFrameHeader, MageCandy_Options.show.mcspellstealmonitorheader)

MCSpellStealNotification:SetWidth(32 * MageCandy_Options.scale.mcspellstealnotification)
MCSpellStealNotification:SetHeight(32 * MageCandy_Options.scale.mcspellstealnotification)



end




end
